Subject: LF vs. CR/LF (WAS: Problems with libtiff!)
From: Ulrich Koehler <[email-masked]>
To: [email-masked]
Date: Mon, 21 Jun 1999 14:00:41 +0200

Hello,

first of all: thank you for your help!
This RTFM! goes to me. I was not aware of the CR/LF
problem and the differences between text and binary
mode because I never browsed through the documentation.
I did not even know that you can open files in text-mode,
it sounds like a strange idea to me. Because I'm working
on many platforms, I create and edit only text files with
UNIX-style line-endings on Windows and I'm trying to keep
my environment CR/LF-free.

Will I experience problems within the cygwin-environment,
if I use only text=binary mounts?

BTW:
I've changed the single open() call in the libtiff-source to
open the file as binary ( If I remember correctly the value
O_BINARY is defined, I added '|0x100000' to the mode bits).
It now seems to work now even with
my default text!=binary mount. I could compile and link
my application and used it without problems.
I wrote 'it seems to work', because the 'thumbnail' binary
still does not work. Maybe there is another reason why,
'tiff2ps' does work.
I do not have the knowlegde to make a complete port using
the configure script and I still want to be sure that I did
the right thing.

--
Want to unsubscribe from this list?
Send a message to [email-masked]